Bug 784167 - Review Request: perl-MooseX-Attribute-Chained - Attribute that returns the instance to allow for chaining
Summary: Review Request: perl-MooseX-Attribute-Chained - Attribute that returns the in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-At...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-24 04:21 UTC by Iain Arnell
Modified: 2012-02-12 22:54 UTC (History)
3 users (show)

Fixed In Version: perl-MooseX-Attribute-Chained-1.0.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 22:53:54 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2012-01-24 04:21:34 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Attribute-Chained.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Attribute-Chained-1.0.1-1.fc17.src.rpm

Description:
MooseX::Attribute::Chained is a Moose Trait which allows for method
chaining on accessors by returning $self on write/set operations.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3727663

*rt-0.10_02

Comment 1 Iain Arnell 2012-01-24 04:24:40 UTC
Note that this is a package rename from perl-MooseX-ChainedAccessors.

Comment 2 Parag AN(पराग) 2012-02-02 06:45:46 UTC
Review:-

+ koji build (f17) -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3754419

+ rpmlint on rpms gave
perl-MooseX-Attribute-Chained.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
perl-MooseX-Attribute-Chained.noarch: W: obsolete-not-provided perl-MooseX-ChainedAccessors
perl-MooseX-Attribute-Chained.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ License is valid

+ source verified with upstream as (sha1sum)
3cbe623c20386497861478b8cf7837a0f1d76956  MooseX-Attribute-Chained-1.0.1.tar.gz
3cbe623c20386497861478b8cf7837a0f1d76956  ../SOURCES/MooseX-Attribute-Chained-1.0.1.tar.gz

+ Build test gave
All tests successful.
Files=10, Tests=31,  3 wallclock secs ( 0.05 usr  0.01 sys +  2.52 cusr  0.16 csys =  2.74 CPU)

+ Package perl-MooseX-Attribute-Chained-1.0.1-1.fc17.noarch =>
Provides: perl(Moose::Meta::Attribute::Custom::Trait::Chained) = 1.0.1 perl(MooseX::Attribute::Chained) = 1.0.1 perl(MooseX::Attribute::Chained::Method::Accessor) = 1.0.1 perl(MooseX::Attribute::ChainedClone) = 1.0.1 perl(MooseX::Attribute::ChainedClone::Method::Accessor) = 1.0.1 perl(MooseX::ChainedAccessors) = 1.0.1 perl(MooseX::ChainedAccessors::Accessor) = 1.0.1 perl(MooseX::Traits::Attribute::Chained) = 1.0.1 perl(MooseX::Traits::Attribute::ChainedClone) = 1.0.1

Requires: perl(Carp) perl(Moose::Meta::Method::Accessor) perl(Moose::Role) perl(Moose::Util) perl(MooseX::Attribute::Chained) perl(MooseX::ChainedAccessors) perl(MooseX::ChainedAccessors::Accessor) perl(Try::Tiny) perl(base) perl(strict) perl(warnings)

Obsoletes: perl-MooseX-ChainedAccessors <= 0.02-3.fc17

+ Follows packaging guidelines.

APPROVED.

Comment 3 Iain Arnell 2012-02-02 09:11:42 UTC
New Package SCM Request
=======================
Package Name: perl-MooseX-Attribute-Chained
Short Description: Attribute that returns the instance to allow for chaining
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2012-02-02 13:31:13 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-02-03 05:39:37 UTC
perl-MooseX-Attribute-Chained-1.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-MooseX-Attribute-Chained-1.0.1-1.fc16

Comment 6 Fedora Update System 2012-02-03 05:39:46 UTC
perl-MooseX-Attribute-Chained-1.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-MooseX-Attribute-Chained-1.0.1-1.fc15

Comment 7 Fedora Update System 2012-02-04 05:26:47 UTC
perl-MooseX-Attribute-Chained-1.0.1-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 8 Fedora Update System 2012-02-12 22:53:54 UTC
perl-MooseX-Attribute-Chained-1.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 9 Fedora Update System 2012-02-12 22:54:03 UTC
perl-MooseX-Attribute-Chained-1.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.